import { NestFactory } from '@nestjs/core';
import { NestExpressApplication } from '@nestjs/platform-express';
import { join } from 'path';

import { AppModule } from './app.module';

/*
  Main.ts starts the server.
*/

async function bootstrap() {
  const app = await NestFactory.create<NestExpressApplication>(AppModule);
  // Cors is needed for application/json POST
  app.enableCors();
  app.useStaticAssets(join(__dirname, '..', 'images'));
  await app.listen(5000);
}
bootstrap();
