import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';

import { TrackingController } from './tracking.controller';
import { TrackingService } from './tracking.service';
import { TrackingEntity } from './tracking.entity';
import { Game_PersonEntity } from '../game/game.entity';
import { PersonEntity } from '../user/user.entity';
import { FactionEntity } from '../faction/faction.entity';

/////////////////////////////////////////////////////////////////////
/// Tracking                                                      ///
/// - contains everything to do with Tracking data.               ///
/////////////////////////////////////////////////////////////////////
@Module({
  imports: [
    TypeOrmModule.forFeature([
      TrackingEntity,
      Game_PersonEntity,
      PersonEntity,
      FactionEntity,
    ]),
  ],
  controllers: [TrackingController],
  providers: [TrackingService],
})
export class TrackingModule {}
